import request from '../../../utils/request'

//员工意见上报 建议事项类别
export function OrderPagedItemEnum(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/EmployeeItemCategoryEnum/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}


//员工意见上报
export function FullUpdateOpinion(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/OGEmployeeOpinionReport/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//员工意见上报 数据获取
export function GetOpinion(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/EmployeeOpinionReport/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//内部联系 数据获取 
export function GetContact(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/InnerContact/Get	", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//内部联系 保存
export function FullUpdateContact(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/OGInnerContact/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//内部联系 确认
export function PersonalAgreeContact(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/OGInnerContact/PersonalAgree", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//内部联系 落实
export function FullUpdateConfirmContact(params) {
	return new Promise((resolve, reject) => {
		request.post("/OG/OGInnerContact/FullUpdateConfirm", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//内部联系 完成确认
export function PersonalAgreeNotice(params) {
	return new Promise((resolve, reject) => {
		request.post("/HM/HMNoticeRelease/PersonalAgree", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}